#ifndef __IUF_AST
#define __IUF_AST
/** This class represent a generic asteroid.
Please note the specialized redraw function 
and the private member to keep asteroid size
*/
class Ast : public GameObj
{
public:
	/** The radius (mt) of the Asteroid */
	float size;
	/** default constructor sets also the radius
*/
	Ast(){
		size=1;
		}
/** Specialized constructor to set also angular velocity and size
	*/
	Ast(const Point3f &_p, const float _angle, const Point3f &_v, float _av,float _size):
			GameObj(_p,_angle,_v){
				av=_av;
				size=_size;
			}

/** 
Draw the asteroid shape (just a square with the give size)
*/
	void Draw();
};
#endif